#version 120
#extension GL_ARB_shader_texture_lod : enable

varying vec2 texcoord;

uniform float aspectRatio;
uniform float viewWidth;
uniform float viewHeight;

uniform sampler2D colortex1;

#define AA 2 //[0 1 2]

#if AA == 2
#include "/lib/taa.glsl"
#endif

#if AA == 1
void main(){
	vec3 color = texture2DLod(colortex1,texcoord.xy,0).rgb;

/*DRAWBUFFERS:1*/
	gl_FragData[0] = vec4(color,1.0);
	
}
#endif

#if AA == 0
void main(){
	vec3 color = texture2DLod(colortex1,texcoord.xy,0).rgb;

/*DRAWBUFFERS:1*/
	gl_FragData[0] = vec4(color,1.0);
	
}
#endif
